using UnityEngine;
using Saltosion.OneWeapon.AI;

namespace Saltosion.OneWeapon {
    [RequireComponent(typeof(AI.Behaviours.Follow), typeof(AI.Triggers.PlayerSighted))]
    public class PlayerFollower : MonoBehaviour {
        public AI.Behaviours.Follow Follow;
        public AI.Triggers.PlayerSighted PlayerSighted;

        private void Update() {
            if (PlayerSighted.Player == null) {
                Follow.Target = null;
            } else {
                Follow.Target = PlayerSighted.Player.transform;
            }
        }
    }
}
