﻿using UnityEngine;

namespace Saltosion.OneWeapon.AI {
    public abstract class AIBehaviour : MonoBehaviour {
        public string CurrentStatus = "";

        /* Returns whether or not Execute() should be called this frame */
        public abstract bool CanBehave(Enemy subject);
        /* Returns whether or not this was a blocking behaviour, ie. should the behaviour processing be stopped here */
        public abstract bool Execute(Enemy subject);
    }
}
